Package org.eclipse.viatra.query.patternlanguage.emf.util

## Class EagerBatchLinkableResource

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.common.notify.impl.NotifierImpl
    - - org.eclipse.emf.ecore.resource.impl.ResourceImpl
      - - org.eclipse.xtext.resource.XtextResource
        - - org.eclipse.xtext.linking.lazy.LazyLinkingResource
          - - org.eclipse.xtext.resource.persistence.StorageAwareResource
            - - org.eclipse.xtext.resource.DerivedStateAwareResource
              - - org.eclipse.xtext.xbase.resource.BatchLinkableResource
                - - org.eclipse.viatra.query.patternlanguage.emf.util.EagerBatchLinkableResource

- All Implemented Interfaces:
    `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.resource.Resource`, `org.eclipse.emf.ecore.resource.Resource.Internal`, `org.eclipse.xtext.common.types.xtext.JvmMemberInitializableResource`, `org.eclipse.xtext.resource.IBatchLinkableResource`, `org.eclipse.xtext.resource.ISynchronizable<org.eclipse.xtext.xbase.resource.BatchLinkableResource>`

      public class EagerBatchLinkableResource
      extends org.eclipse.xtext.xbase.resource.BatchLinkableResource

  Since:
    2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.linking.lazy.LazyLinkingResource

      `org.eclipse.xtext.linking.lazy.LazyLinkingResource.CyclicLinkingException, org.eclipse.xtext.linking.lazy.LazyLinkingResource.DiagnosticMessageContext`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.resource.impl.ResourceImpl

      `org.eclipse.emf.ecore.resource.impl.ResourceImpl.ContentsEList<E extends java.lang.Object & org.eclipse.emf.ecore.EObject>, org.eclipse.emf.ecore.resource.impl.ResourceImpl.ModificationTrackingAdapter`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource

      `org.eclipse.emf.ecore.resource.Resource.Diagnostic, org.eclipse.emf.ecore.resource.Resource.Factory, org.eclipse.emf.ecore.resource.Resource.Internal, org.eclipse.emf.ecore.resource.Resource.IOWrappedException`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.xtext.resource.DerivedStateAwareResource

      `fullyInitialized, isInitializing`

    - ### Fields inherited from class org.eclipse.xtext.resource.persistence.StorageAwareResource

      `UNRESOLVABLE_FRAGMENT`

    - ### Fields inherited from class org.eclipse.xtext.linking.lazy.LazyLinkingResource

      `CYCLIC_LINKING_DECTECTION_COUNTER_LIMIT, cyclicLinkingDectectionCounterLimit, resolving, UNRESOLVEABLE_PROXIES_KEY`

    - ### Fields inherited from class org.eclipse.xtext.resource.XtextResource

      `isUpdating, operationCanceledManager, OPTION_ENCODING, OPTION_FORMAT, OPTION_RESOLVE_ALL, OPTION_SERIALIZATION_OPTIONS`

    - ### Fields inherited from class org.eclipse.emf.ecore.resource.impl.ResourceImpl

      `contents, defaultDeleteOptions, defaultLoadOptions, defaultSaveOptions, errors, intrinsicIDToEObjectMap, isLoaded, isLoading, isModified, modificationTrackingAdapter, resourceSet, timeStamp, unloadingContents, uri, warnings`

    - ### Fields inherited from class org.eclipse.emf.common.notify.impl.NotifierImpl

      `eAdapters, EDELIVER, eFlags, ELAST_NOTIFIER_FLAG`

    - ### Fields inherited from interface org.eclipse.emf.ecore.resource.Resource

      `OPTION_CIPHER, OPTION_LINE_DELIMITER, OPTION_LINE_DELIMITER_UNSPECIFIED, OPTION_SAVE_ONLY_IF_CHANGED, OPTION_SAVE_ONLY_IF_CHANGED_FILE_BUFFER, OPTION_SAVE_ONLY_IF_CHANGED_MEMORY_BUFFER, OPTION_ZIP, RESOURCE__CONTENTS, RESOURCE__ERRORS, RESOURCE__IS_LOADED, RESOURCE__IS_MODIFIED, RESOURCE__IS_TRACKING_MODIFICATION, RESOURCE__RESOURCE_SET, RESOURCE__TIME_STAMP, RESOURCE__URI, RESOURCE__WARNINGS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EagerBatchLinkableResource()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isEagerLinking()` |

    - ### Methods inherited from class org.eclipse.xtext.xbase.resource.BatchLinkableResource

      `addJvmMemberInitializer, doDiscardDerivedState, ensureJvmMembersInitialized, execute, getContents, getEObject, getLock, handleCyclicResolution, hasJvmMemberInitializers, isInitializingJvmMembers, linkBatched, resolveLazyCrossReferences`

    - ### Methods inherited from class org.eclipse.xtext.resource.DerivedStateAwareResource

      `clearInternalState, discardDerivedState, doGetContents, doUnload, getEObjectForURIFragmentRootSegment, getUnloadingContents, getURIFragmentRootSegment, installDerivedState, isFullyInitialized, isInitializing, setDerivedStateComputer, setFullyInitialized, updateInternalState, updateInternalState`

    - ### Methods inherited from class org.eclipse.xtext.resource.persistence.StorageAwareResource

      `customReadNodeModel, customWriteNodeModel, getPortableURIs, getResourceDescription, getResourceStorageFacade, getUnresolvableURIFragments, isLoadedFromStorage, load, loadFromStorage, setIsLoadedFromStorage, setResourceDescription`

    - ### Methods inherited from class org.eclipse.xtext.linking.lazy.LazyLinkingResource

      `addLazyProxyInformation, clearLazyProxyInformation, createAndAddDiagnostic, createAndAddDiagnostic, createDiagnostic, createDiagnosticMessage, createDiagnosticMessageContext, doLinking, doLoad, doResolveLazyCrossReference, getDiagnosticList, getDiagnosticMessageProvider, getEncoder, getEObject, getLazyProxyInformation, getLazyProxyInformation, getLinkingHelper, getLinkingService, getReferences, hasLazyProxyInformation, isPotentialLazyCrossReference, isUnresolveableProxyCacheable, markUnresolvable, removeDiagnostic, removeLazyProxyInformation, resolveLazyCrossReference, setDiagnosticMessageProvider, setEagerLinking, setEncoder, setLinkingHelper, setLinkingService`

    - ### Methods inherited from class org.eclipse.xtext.resource.XtextResource

      `addSyntaxDiagnostic, addSyntaxErrors, basicGetEObject, basicSetResourceSet, clearCache, clearErrorsAndWarnings, createReader, doSave, getCache, getConcreteSyntaxValidator, getEncoding, getEntryPoint, getFragmentProvider, getLanguageName, getLinker, getModificationStamp, getParser, getParseResult, getParseResultWrapper, getResourceServiceProvider, getSerializer, getUnloader, getURIFragment, internalGetParseResult, isValidationDisabled, reattachModificationTracker, relink, reparse, setCache, setEncodingFromOptions, setEntryPoint, setFragmentProvider, setInjectedParser, setLanguageName, setLinker, setModificationStamp, setParser, setParseResult, setResourceServiceProvider, setSerializer, setUnloader, setValidationDisabled, unload, update, validateConcreteSyntax, wrap`

    - ### Methods inherited from class org.eclipse.emf.ecore.resource.impl.ResourceImpl

      `addModificationTrackingAdapters, attached, attachedHelper, createModificationTrackingAdapter, delete, detached, detachedHelper, getAllContents, getAllProperContents, getAllProperContents, getDefaultURIConverter, getEObject, getEObjectByID, getErrors, getIDForEObject, getIntrinsicIDToEObjectMap, getResourceSet, getTimeStamp, getURI, getURIConverter, getWarnings, handleLoadResponse, handleSaveResponse, isAttachedDetachedHelperRequired, isContentZipEntry, isLoaded, isLoading, isModified, isTrackingModification, load, mergeMaps, newContentZipEntry, removeModificationTrackingAdapters, save, save, saveOnlyIfChangedWithFileBuffer, saveOnlyIfChangedWithMemoryBuffer, setIntrinsicIDToEObjectMap, setLoaded, setModified, setTimeStamp, setTrackingModification, setURI, supportIDRelativeURIFragmentPaths, toKeyString, toString, unload, unloaded, useZip`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.NotifierImpl

      `eAdapters, eBasicAdapters, eDeliver, eSetDeliver`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Constructor Detail

    - #### EagerBatchLinkableResource

          public EagerBatchLinkableResource()

  - ### Method Detail

    - #### isEagerLinking

          public boolean isEagerLinking()

      Overrides:
        `isEagerLinking` in class `org.eclipse.xtext.linking.lazy.LazyLinkingResource`